%This test is a test from the ISMP-HOM Intercomparison project
%TestF 
L=100000; %in m
nx=30; %numberof nodes in x direction
ny=30;
md=model;
%md=squaremesh(md,L,L,nx,ny);
md=mesh(md,'../Exp/SquareISMIP.exp',5500);
md=geography(md,'',''); %ice sheet test
md=parameterize(md,'../Par/ISMIPF.par');
md=extrude(md,5,1);

md=setelementstype(md,'pattyn','all');
%md=setelementstype(md,'pattyn','all','stokes','all'); 

%Create dirichlet on the bed if no slip
pos=find(md.gridonbed);
md.spcvelocity(pos,1:2)=1;
md.spcvelocity(pos,4:5)=0;

%%Create MPCs to have periodic boundary conditions
%posx=find(md.x==0);
%posx2=find(md.x==max(md.x));
%
%posy=find(md.y==0 & md.x~=0 & md.x~=max(md.x)); %Don't take the same grids two times
%posy2=find(md.y==max(md.y) & md.x~=0 & md.x~=max(md.x));
%
%md.penalties=[posx,posx2;posy,posy2];

%Compute the diagnostic
md=solve(md,'analysis_type',Transient3DSolutionEnum);

vx=PatchToVec(md.results.DiagnosticSolution.Vx);
vy=PatchToVec(md.results.DiagnosticSolution.Vy);
vz=PatchToVec(md.results.DiagnosticSolution.Vz);

plotmodel(md,'data',vx,'data',vy,'data',vz,'layer#all',md.numlayers,'contourlevels',{9.2,18.4,27.6,46,73.6,82.8},'contourlevels',{0,-1.2,-0.9,-0.6,-0.3,1.2},'contourlevels',{-5.2,-3.9,-1.3,0,1.3,3.9,5.2})
